-- Test amenity_feature_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to camper, public;

select has_table('amenity_feature_i18n');
select has_pk('amenity_feature_i18n');
select col_is_pk('amenity_feature_i18n', array['amenity_feature_id', 'lang_tag']);
select table_privs_are('amenity_feature_i18n', 'guest', array['SELECT']);
select table_privs_are('amenity_feature_i18n', 'employee', array['SELECT']);
select table_privs_are('amenity_feature_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('amenity_feature_i18n', 'authenticator', array[]::text[]);

select has_column('amenity_feature_i18n', 'amenity_feature_id');
select col_is_fk('amenity_feature_i18n', 'amenity_feature_id');
select fk_ok('amenity_feature_i18n', 'amenity_feature_id', 'amenity_feature', 'amenity_feature_id');
select col_type_is('amenity_feature_i18n', 'amenity_feature_id', 'integer');
select col_not_null('amenity_feature_i18n', 'amenity_feature_id');
select col_hasnt_default('amenity_feature_i18n', 'amenity_feature_id');

select has_column('amenity_feature_i18n', 'lang_tag');
select col_is_fk('amenity_feature_i18n', 'lang_tag');
select fk_ok('amenity_feature_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('amenity_feature_i18n', 'lang_tag', 'text');
select col_not_null('amenity_feature_i18n', 'lang_tag');
select col_hasnt_default('amenity_feature_i18n', 'lang_tag');

select has_column('amenity_feature_i18n', 'name');
select col_type_is('amenity_feature_i18n', 'name', 'text');
select col_is_null('amenity_feature_i18n', 'name');
select col_hasnt_default('amenity_feature_i18n', 'name');


select *
from finish();

rollback;

